# Interface CreateFilterOptions

interface CreateFilterOptions {
dataSource: GmfDatasourceOGC;
filter: Filter;
filterRules: default[];
incDimensions: boolean;
incTime: boolean;
projCode: string;
srsName: string;
}

- Defined in src/filter/RuleHelper.js:50

#####
Index

### Properties

dataSource
filter
filterRules
incDimensions
incTime
projCode
srsName

## Properties

### dataSource

dataSource: GmfDatasourceOGC

The data source from which to get the filterRules that will be used to create the OL filter object.

- Defined in src/filter/RuleHelper.js:51

### filter

filter: Filter

A filter that is directly given the method instead of creating one. Useful to automatically combine the time values.

- Defined in src/filter/RuleHelper.js:59

### filterRules

filterRules: default[]

An alternative list of filter rules to use instead of those that are defined within the data source. Useful when one wants to get the data of a given filter without applying it to the data source.

- Defined in src/filter/RuleHelper.js:62

### incDimensions

incDimensions: boolean

Whether to include the dimensions related filters. Default to `true`.

- Defined in src/filter/RuleHelper.js:53

### incTime

incTime: boolean

Whether to include the data source's time values in the filter created. The property that contains those values is `timeRangeValue`. Defaults to `false`. When building a filter for WMS, it should not be included as it is given as the TIME parameter of the query instead. When used for a WFS request, it should be included in the filter.

- Defined in src/filter/RuleHelper.js:54

### projCode

projCode: string

Projection code.

- Defined in src/filter/RuleHelper.js:65

### srsName

srsName: string

The SRS name used with the spatial filters created by the method.

- Defined in src/filter/RuleHelper.js:66